export declare function useInputEditorSchema(): {
    editorSchema: (inputOptions?: any[]) => ({
        $formkit: string;
        if: string;
        name: string;
        dynamic: boolean;
        children: object[];
    } | {
        $formkit: string;
        id: string;
        name: string;
        label: string;
        value: string;
        optionLabel: string;
        optionValue: string;
        options: any[];
        key: string;
        preserve: boolean;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        if?: undefined;
    } | {
        $formkit: string;
        name: string;
        label: string;
        validation: string;
        validationVisibility: string;
        key: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        allowEmpty?: undefined;
        if?: undefined;
    } | {
        $formkit: string;
        id: string;
        name: string;
        options: {
            label: string;
            value: string;
        }[];
        optionLabel: string;
        optionValue: string;
        value: string;
        allowEmpty: boolean;
        key: string;
        preserve: boolean;
        label?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        if?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        value: boolean;
        preserve: boolean;
        id?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        value: string;
        optionLabel: string;
        optionValue: string;
        options: {
            label: string;
            value: string;
        }[];
        key: string;
        preserve: boolean;
        id?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        optionLabel: string;
        optionValue: string;
        options: {
            label: string;
            value: string;
        }[];
        key: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
    })[];
    primeInputNames: string[];
    primeInputOptions: (list: string[]) => {
        label: string;
        value: string;
    }[];
    editorDataToSchema: (data: any) => any;
    editorDataToJson: (data: any) => string;
    editorDataToCode: (data: any) => string;
    schemaToEditorData: (schema: any) => any;
};
